[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFS: mediadownloader

On 11/01/2010 05:19 PM, Williams Orellana wrote:
2010/10/27 Marco Bavagnoli<lil.deimos@gmail.com>:
Dear mentors,

I am looking for a sponsor for my package "mediadownloader".

* Package name    : mediadownloader
  Version         : 1.4.2-1
  Upstream Author : Marco Bavagnoli<lil.deimos@gmail.com>
* URL             : http://mediadownloader.cz.cc
* License         : GPL3
  Section         : graphics

It builds these binary packages:
mediadownloader - Search, preview, download with Google Image and YouTube

The package appears to be lintian clean.

My motivation for maintaining this package is:
the annoyance to search images with Google, browse into the web page, see
the image if its worth a download, pointed me to start to develop this
application that can do a preview of original images and also download all
at once with a nice GUI. In the meantime, I also added searches with youTube
and some other features. I find this is useful application, I still use it
for job, maybe could be the same for others.

The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/main/m/mediadownloader
- Source repository: deb-src http://mentors.debian.net/debian unstable main
contrib non-free
- dget

I would be glad if someone uploaded this package for me.

Kind regards
  Marco Bavagnoli

To UNSUBSCRIBE, email to debian-mentors-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact
Archive: http://lists.debian.org/4CC870A5.4070105@gmail.com


I am not a DD, so I have no possiblity to upload any package, But
here's my review for your package:

You should fix some warnings and errors that shows lintian

N: Processing source package mediadownloader (version 1.4.2-1) ...
I: mediadownloader source: debian-watch-file-is-missing
W: mediadownloader source: out-of-date-standards-version 3.8.4
(current is 3.9.1)
N: ----
N: Processing binary package mediadownloader (version 1.4.2-1) ...
W: mediadownloader: superfluous-clutter-in-homepage
W: mediadownloader: package-relation-with-self provides: mediadownloader
E: mediadownloader: copyright-contains-dh_make-todo-boilerplate
W: mediadownloader: readme-debian-contains-debmake-template
W: mediadownloader: desktop-entry-invalid-category Internet
P: mediadownloader: no-upstream-changelog
W: mediadownloader: new-package-should-close-itp-bug
W: mediadownloader: binary-without-manpage usr/bin/MediaDownloader
W: mediadownloader: executable-not-elf-or-script
W: mediadownloader: executable-not-elf-or-script
W: mediadownloader: executable-not-elf-or-script
W: mediadownloader: maintainer-script-ignores-errors postinst
I: mediadownloader: spelling-error-in-binary ./usr/bin/MediaDownloader
informations information
I: mediadownloader: spelling-error-in-binary ./usr/bin/MediaDownloader
informations information


First of all I must thank you a lot !
As you could think, I am new to packaging and it take a lot of time for me to build this.
I'll do my best to find out the way to get rid of those warnings.
One question: when and if the package will be clear, will I need to delete the old package ? Or just make version 1.4.2-2 ?

thanks again
best regards

Reply to: